%if 0%{?fedora} > 12
%global with_python3 1
%endif

%global srcname flask-cache

Name:           python-%{srcname}
Version:        0.13.1
Release:        13%{?dist}
Summary:        Adds cache support to your Flask application

License:        BSD
URL:            https://github.com/thadeusb/flask-cache
Source0:        https://pypi.python.org/packages/source/F/Flask-Cache/Flask-Cache-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-flask
BuildRequires:  python2-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-flask
BuildRequires:  python3-setuptools
%endif


%description
%{summary}.


%package -n python2-%{srcname}
Summary:        Adds cache support to your Flask application
License:        BSD
Requires:       python2-flask
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{summary}.

%package -n python2-%{srcname}-doc
Summary:        Documentation for the Flask-Cache module
BuildRequires:  python2-sphinx

%description -n python2-%{srcname}-doc
Documentation for the Flask-Cache module


%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        Adds cache support to your Flask application
License:        BSD
Requires:       python3-flask
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{summary}.

%package -n python3-%{srcname}-doc
Summary:        Documentation for the Flask-Cache module
BuildRequires:  python3-sphinx

%description -n python3-%{srcname}-doc
Documentation for the Flask-Cache module
%endif


%prep
%autosetup -n Flask-Cache-%{version}
# Fix extension import
sed -i 's/flask.ext.cache/flask_cache/' *.py */*.py docs/*.rst


%build
%py2_build
sphinx-build-2 -b html -d build/doctrees docs build/html2

rm -f build/html2/.buildinfo
rm -f build/html2/objects.inv
sed -i 's/\r$//' build/html2/_static/jquery.js

%if 0%{?with_python3}
%py3_build
sphinx-build-3 -b html -d build/doctrees docs build/html3
rm -f build/html3/.buildinfo
rm -f build/html3/objects.inv
sed -i 's/\r$//' build/html3/_static/jquery.js
%endif


%install
%py2_install

%if 0%{?with_python3}
%py3_install
%endif


%check
%{__python2} test_cache.py

%if 0%{?with_python3}
%{__python3} test_cache.py
%endif


%files -n python2-%{srcname}
%doc CHANGES PKG-INFO README
%license LICENSE
%{python2_sitelib}/flask_cache
%{python2_sitelib}/Flask_Cache-%{version}-py2.?.egg-info

%files -n python2-%{srcname}-doc
%doc build/html2

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc CHANGES PKG-INFO README
%license LICENSE
%{python3_sitelib}/flask_cache
%{python3_sitelib}/Flask_Cache-%{version}-py3.?.egg-info

%files -n python3-%{srcname}-doc
%doc build/html3
%endif


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.13.1-12
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Piotr Popieluch <piotr1212@gmail.com> - 0.13.1-9
- Update for new packaging guidelines

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.13.1-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Jul 08 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.13.1-3
- Fix lint warnings in documentation

* Sun Jul 05 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.13.1-2
- Addressed comments from review

* Fri Jul 03 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.13.1-1
- Initial package
